hadoop-yarn-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Akira Ajisaka (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (YARN-6946) Upgrade JUnit from 4 to 5 in hadoop-yarn-common
Date Fri, 04 Aug 2017 12:06:00 GMT

    [ https://issues.apache.org/jira/browse/YARN-6946?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16114283#comment-16114283
] 

Akira Ajisaka commented on YARN-6946:
-------------------------------------

I'm thinking it's too early to migrate JUnit from 4 to 5. JUnit 5 supports Java 8 or upper,
so the migration effects on trunk, not on branch-2. Now most of the patches are backported
to branch-2, and the backports will become much harder.

> Upgrade JUnit from 4 to 5 in hadoop-yarn-common
> -----------------------------------------------
>
>                 Key: YARN-6946
>                 URL: https://issues.apache.org/jira/browse/YARN-6946
>             Project: Hadoop YARN
>          Issue Type: Sub-task
>          Components: test
>            Reporter: Akira Ajisaka
>            Assignee: Akira Ajisaka
>         Attachments: YARN-6946.wip001.patch
>
>




--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

---------------------------------------------------------------------
To unsubscribe, e-mail: yarn-issues-unsubscribe@hadoop.apache.org
For additional commands, e-mail: yarn-issues-help@hadoop.apache.org


Mime
View raw message